%define upstream_name    File-Policy
%define upstream_version 1.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Simple policy for file I/O functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Log::Trace)
BuildRequires: perl(Test::Assertions)
BuildArch: noarch

%description
This defines the policy for file I/O with modules such as
File::Slurp::WithinPolicy. The purpose is to allow systems administrators
to define locations and restrictions for applications' file I/O and give
app developers a policy to follow. Note that the module doesn't ENFORCE the
policy - application developers can choose to ignore it (and systems
administrators can choose not to install their applications if they do!).

You may control which policy gets applied by creating a
File::Policy::Config module with an IMPLEMENTATION constant. You may write
your own policy as a module within the File::Policy:: namespace.

By default (if no File::Policy::Config is present), the
File::Policy::Default policy gets applied which doesn't impose any
restrictions and provides reasonable default locations for temporary and
log files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.5.0-10.mga8
+ Revision: 1494505
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.5.0-9.mga7
+ Revision: 1268159
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.5.0-8.mga6
+ Revision: 1027479
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.5.0-7.mga6
+ Revision: 948490
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.5.0-6.mga5
+ Revision: 787901
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-5.mga5
+ Revision: 742134
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-4.mga5
+ Revision: 684754
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5.0-3.mga4
+ Revision: 511663
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5.0-2.mga3
+ Revision: 367330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 jquelin <jquelin> 1.5.0-1.mga2
+ Revision: 111331
- imported package perl-File-Policy


* Tue Jun 21 2011 cpan2dist 1.005-1mga
- initial mageia release, generated with cpan2dist
